phing-tasks-system-condition

# Class: NotCondition Source Location: /tasks/system/condition/NotCondition.php
### Class Overview
    ProjectComponent
       |
       --ConditionBase
          |
          --NotCondition
<not> condition. #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $ #### Copyright: © 2001,2002 THYRELL. All rights reserved Implements interfaces: Condition | ### Methods evaluate
### Inherited Variables #### Class: ConditionBase ConditionBase::$conditions #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: ConditionBase ConditionBase::addAvailable() ConditionBase::countConditions() ConditionBase::createAnd() ConditionBase::createContains() ConditionBase::createEquals() ConditionBase::createIsFalse() ConditionBase::createIsSet() ConditionBase::createIsTrue() ConditionBase::createNot() ConditionBase::createOr() ConditionBase::createOs() ConditionBase::createReferenceExists() ConditionBase::getConditions() ConditionBase::getIterator() Required for IteratorAggregate #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 36] <not> condition. Evaluates to true if the single condition nested into it is false and vice versa. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $
copyright: | © 2001,2002 THYRELL. All rights reserved
access: | public
[ Top ] ### Class Methods ### method evaluate [line 38]
`void evaluate( )`
Implementation of: Condition::evaluate() [ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:19 +0200 by phpDocumentor 1.4.3